package com.trade.common.enums;

/**
 * @description: 发票类型常量
 * @Author: wanglang
 * @Date: 2024/9/4 9:17
 * @Version: 1.0
 */
public enum InvoiceTypeEnum {

    SPECIAL_INVOICE("1", "增值税专用发票"), PLAIN_INVOICE("2", "增值税普通发票"),
    SPECIAL_ELECTRON_INVOICE("3", "增值税电子专用发票"), PLAIN_ELECTRON_INVOICE("4", "增值税电子普通发票"),
    SPECIAL_DIGITAL_INVOICE("5", "数电票（增值税专用发票"), PLAIN_DIGITAL_INVOICE("6", "数电票（增值税普通发票）");

    private final String code;
    private final String info;

    InvoiceTypeEnum(String code, String info){
        this.code = code;
        this.info = info;
    }

    public String getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
